Bug 976729 - iwlwifi buggy, loses connection when transferring a lot of files using scp
iwlwifi buggy, loses connection when transferring a lot of files using scp
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislaw Gruszka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-21 06:09 EDT by Jonas Thiem
Modified: 2013-08-23 03:46 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-23 03:46:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonas Thiem 2013-06-21 06:09:57 EDT
Description of problem:
When transferring many files over scp, the connection suddenly stalls and I get:
[65132.052551] iwlwifi 0000:02:00.0: iwl_trans_pcie_reclaim: Read index for DMA queue txq id (13), last_to_free 195 is out of range [0-256] 195 195.
To get wlan working again, I need to disable and re-enable it (using the NetworkManager/gnome shell interface).

Version-Release number of selected component (if applicable):
uname -a: Linux jth.lan 3.9.5-301.fc19.x86_64 #1 SMP Tue Jun 11 19:39:38 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:
100% for that particular file transfer, never had it happen with others (probably not enough files)

Steps to Reproduce:
1. Transfer a lot of files over scp using a WPA 2 enterprise network (2GB in total and maybe 1000 or more separate files)

Actual results:
dmesg output:
[65132.052551] iwlwifi 0000:02:00.0: iwl_trans_pcie_reclaim: Read index for DMA queue txq id (13), last_to_free 195 is out of range [0-256] 195 195.
[65132.052568] iwlwifi 0000:02:00.0: iwl_trans_pcie_reclaim: Read index for DMA queue txq id (13), last_to_free 196 is out of range [0-256] 195 195.
[65132.054906] iwlwifi 0000:02:00.0: iwl_trans_pcie_reclaim: Read index for DMA queue txq id (13), last_to_free 197 is out of range [0-256] 195 195.
... (up to "248 is out of range")

Expected results:
It works, no broken connection during transfer

Additional info:
lspci says: 02:00.0 Network controller: Intel Corporation Centrino Wireless-N 1000 [Condor Peak]
Comment 1 Stanislaw Gruszka 2013-08-01 04:59:37 EDT
Does the problem happen on updated kernel 3.10 ? 
If it does, I'll request you for some more debugging information.
Comment 2 Stanislaw Gruszka 2013-08-23 03:46:48 EDT
Closing due to lack of response ...

Note You need to log in before you can comment on or make changes to this bug.